Page MenuHomePhabricator

Group by topic the checkboxes for enabling of bundled extensions
Closed, ResolvedPublic

Description

Per https://www.mediawiki.org/wiki/Talk:Suggestions_for_extensions_to_be_integrated#System_administrator_fatigue we currently have 17 checkboxes [unexplained and unchecked; see the other bugs], it should be possible to easily enable "antispam and antivandalism extensions" with a click and so on.

Possible grouping with current list (https://git.wikimedia.org/blob/mediawiki%2Ftools%2Frelease/HEAD/make-release%2Fmake-release.py):

  • Antispam and antivandalism
    • ConfirmEdit
    • Nuke
    • SpamBlacklist
    • TitleBlacklist
  • Interface improvements
    • InputBox
    • PdfHandler
    • Poem
    • Vector
    • WikiEditor
  • Semi-advanced usage
    • Cite
    • Gadgets
    • ImageMap
    • ParserFunctions
    • SyntaxHighlight_GeSHi
  • Maintenance
    • Renameuser
    • Interwiki
    • LocalisationUpdate

The last one could be merged to "Antispam and antivandalism" perhaps, 3 groups is enough.


Version: 1.22.0
Severity: enhancement
URL: https://www.mediawiki.org/wiki/Talk:Suggestions_for_extensions_to_be_integrated#System_administrator_fatigue

Details

Reference
bz53985

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 2:06 AM
bzimport added a project: MediaWiki-Installer.
bzimport set Reference to bz53985.
bzimport added a subscriber: Unknown Object (MLST).
Nemo_bis created this task.Sep 10 2013, 7:57 AM

(In reply to comment #0)

[...] it should be possible to easily enable "antispam and antivandalism
extensions" with a click and so on.
Possible grouping with current list
(<https://git.wikimedia.org/blob/mediawiki%2Ftools%2Frelease/HEAD/make-
release%2Fmake-release.py>):

  • Antispam and antivandalism
    • ConfirmEdit
    • Nuke
    • SpamBlacklist
    • TitleBlacklist [...]

I hear that Mark&Markus just had a meeting on antispam tools to include in the release; adding them to cc in case they have (other) ideas on how to make it easier to setup essential antispam/antivandalism tools on install.

Legoktm claimed this task.Apr 12 2018, 6:49 AM

Change 424967 had a related patch set uploaded (by Legoktm; owner: Legoktm):
[mediawiki/core@master] Handle extension dependencies in the installer

https://gerrit.wikimedia.org/r/424967

Change 424967 merged by jenkins-bot:
[mediawiki/core@master] Handle extension dependencies in the installer

https://gerrit.wikimedia.org/r/424967

Legoktm closed this task as Resolved.Apr 17 2018, 3:20 PM